<h1 matDialogTitle>Filter Transaksi</h1>
<div mat-dialog-content>
    <div>
        <div>
            <mat-checkbox [(ngModel)]="checkedPIC" [ngModelOptions]="{standalone: true}">PIC Transaksi</mat-checkbox>
        </div>
        <div>
            <mat-form-field class="input-block">
                <input matInput [disabled]="!checkedPIC" [(ngModel)]="itemPIC" placeholder="PIC Transaksi" name="itemPIC" id="itemPIC">
                <button mat-button *ngIf="itemPIC" [disabled]="!checkedPIC" matSuffix mat-icon-button aria-label="Clear" (click)="itemPIC=''">
                    <mat-icon>close</mat-icon>
                </button>
            </mat-form-field>
        </div>
    </div>
    <div>
        <div>
            <mat-checkbox [(ngModel)]="checkedEntrusted" [ngModelOptions]="{standalone: true}">Barang Orang</mat-checkbox>
        </div>
        <div>
            <mat-form-field class="input-block">
                <input matInput [disabled]="!checkedEntrusted" [(ngModel)]="itemEntrustedStatus" placeholder="Barang Orang" name="itemEntrustedStatus" id="itemEntrustedStatus">
                <button mat-button *ngIf="itemEntrustedStatus" [disabled]="!checkedEntrusted" matSuffix mat-icon-button aria-label="Clear" (click)="itemEntrustedStatus=''">
                    <mat-icon>close</mat-icon>
                </button>
            </mat-form-field>
        </div>
    </div>
</div>
<div mat-dialog-actions>
    <button mat-raised-button color="primary" mat-button (click)="initiateFilter()">Filter</button>
    <button mat-raised-button color="warn" mat-button (click)="dialogRef.close(false)">Batal</button>
</div>